Show / Hide Table of Contents

# Class StdString

Interation with std::string

##### Inheritance

System.Object
StdString

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Libc

###### Assembly: Dalamud.dll

##### Syntax

    public static class StdString

### Methods

#### ReadFromPointer(IntPtr)

##### Declaration

    public static string ReadFromPointer(IntPtr cstring)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | cstring |

##### Returns

Type | Description
--- | ---
System.String |